Bug 193932 - Firefox Calendar Extension won't run with SELinux Enabled
Firefox Calendar Extension won't run with SELinux Enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 20:27 EDT by Pete Graner
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 13:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of error (101.78 KB, image/png)
2006-06-02 20:27 EDT, Pete Graner
no flags Details

  None (edit)
Description Pete Graner 2006-06-02 20:27:15 EDT
Description of problem: After install the Firefox calendar extension, it won't
run. A dialog pops up and says its not installed properly (see attached screen
shot).


Version-Release number of selected component (if applicable):


How reproducible: Every time


AVC:

Jun  2 19:54:44 meatwad kernel: audit(1149292484.053:7): avc:  denied  { execmod
} for  pid=3117 comm="firefox-bin" name="libxpical.so" dev=dm-0 ino=8286765
scontext=user_u:system_r:unconfined_t:s0 tcontext=user_u:object_r:user_home_t:s0
tclass=file
Comment 1 Pete Graner 2006-06-02 20:27:15 EDT
Created attachment 130436 [details]
Screen shot of error
Comment 2 Daniel Walsh 2006-06-06 15:38:44 EDT
Where is the library stored?  This is a bug in the building of this library and
should be reported to upstream

http://people.redhat.com/~drepper/selinux-mem.html

Explains the problem.

You can make SELinux allow it by executing

chcon -t textrel_shlib_t PATHTO/libxpical.so
Comment 3 Pete Graner 2006-06-06 15:49:01 EDT
The chcon fixed it.

Libary is in /home/[username]/.mozilla/[random_string]/plugins

I'll do the upstraeam report and put bz number here.


Note You need to log in before you can comment on or make changes to this bug.